Skip to main content
GET
One proposal and its edits

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

proposal_id
string
required

The proposal's id.

Response

Successful Response

A proposal as a page reads it.

id
string
required
repo_id
string
required
owner
string
required
title
string
required
status
string
required
created_at
string
required
repo_name
string
default:""
remote
string | null
provider
string | null
repo_version
string
default:""
summary
string
default:""
base_ref
string
default:""
branch_name
string
default:""
decided_by
string | null
decided_at
string | null
decided_reason
string | null
external_url
string | null
error
string | null
edits
CodeProposalEdit · object[]